## org.biojava.bio.program.gff
Class GFFRecordFilter.FeatureFilter

    java.lang.Object
      |
      +--org.biojava.bio.program.gff.GFFRecordFilter.FeatureFilter

Enclosing class:
  GFFRecordFilter

public static class GFFRecordFilter.FeatureFilter
extends java.lang.Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts records based upon the feature field.

Author:
  Matthew Pocock

Inner classes inherited from class org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter`

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.FeatureFilter()`

Method Summary
`boolean` `accept(GFFRecord record)` Return wether or not to accept record.
`java.lang.String` `getFeature()` Retrieve the current feature.
`void` `setFeature(java.lang.String feature)` Set the feature to feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.FeatureFilter

    public GFFRecordFilter.FeatureFilter()

Method Detail

### setFeature

    public void setFeature(java.lang.String feature)

  Set the feature to feature.
  Parameters:
    `source` - the new source to match

### getFeature

    public java.lang.String getFeature()

  Retrieve the current feature.
  Returns:
    the feature String

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: GFFRecordFilter
  Return wether or not to accept record.
  Specified by:
    accept in interface GFFRecordFilter
  Returns:
    record. getFeature`()` `==` this.getFeature`()`